<?php
/*
Plugin Name: 123 No Group By ID
Plugin URI: http://schnurpsel.de/wordpress-und-die-suboptimale-mysql-optimierung-5051-74/
Description: Ändert bei WP vor Version 2.1 das GROUP BY id in GROUP BY post_date oder entfernt es ab Version 2.1 (Problem ab MySQL 5.0.51).
Author: Ingo Henze
Version: 0.11
Author URI: http://putzlowitsch.de/
*/ 

	// GROUP BY auswerten
	function plw123ngb_posts_groupby( $groupby ) {
		if( preg_match( "/(|[ ,.])id(|[ ,])/i", $groupby ) ) {
			// Ab Version 2.1 GROUP BY ID unterdrücken
			if( version_compare( get_bloginfo('version'), '2.1', '>=' ) )
				$groupby = '';
			// sonst GRUP BY auf post_date setzen	
			else
				$groupby = 'post_date';
		}
		return $groupby;
	}

	add_filter( 'posts_groupby', 'plw123ngb_posts_groupby' );
?>